Package edu.wisc.game.rest

## Class PregameService.PregameResponseBase

- java.lang.Object
- - edu.wisc.game.rest.ResponseBase
  - - edu.wisc.game.rest.PregameService.PregameResponseBase

- Direct Known Subclasses:
    `PregameService.BookletSize`, `PregameService.Page`
  Enclosing class:
    PregameService

      public static class PregameService.PregameResponseBase
      extends ResponseBase

  Some info + error code

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PregameResponseBase​(String pid)` | Identifies and tests the pregame experience directory for the player's experiment plan.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File[]` | `_getBookletPages()` |
    `int` | `getBookletSize()` |
    `double` | `getGoodnessScore()` |
    `String` | `getPath()` |
    `void` | `setBookletSize​(int _bookletSize)` |
    `void` | `setGoodnessScore​(double _goodnessScore)` |

    - ### Methods inherited from class edu.wisc.game.rest.ResponseBase

      `getErrmsg, getError, hasError, setErrmsg, setError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PregameResponseBase

          public PregameResponseBase​(String pid)

      Identifies and tests the pregame experience directory for the player's experiment plan. The main parameter for that is "pregame", but for legacy (pre ver. 6.*) plans we also look at "init". We only look at this parameter ("pregame") in the first parameter set of the experiment, and ignore its values in subsequent para sets.
      Parameters:
        `pid` - playerId. The server will look up the pregame experience directory for that player's experiment plan.

  - ### Method Detail

    - #### getBookletSize

          public int getBookletSize()

    - #### setBookletSize

          public void setBookletSize​(int _bookletSize)

    - #### getPath

          public String getPath()

    - #### _getBookletPages

          public File[] _getBookletPages()

    - #### getGoodnessScore

          public double getGoodnessScore()

    - #### setGoodnessScore

          public void setGoodnessScore​(double _goodnessScore)